Skip to main content
GET
/
api
/
v1
/
datadiffs
/
{datadiff_id}
/
summary_results
Get a data diff summary
curl --request GET \
  --url https://app.datafold.com/api/v1/datadiffs/{datadiff_id}/summary_results \
  --header 'Authorization: <api-key>'
{
  "dependencies": [
    {
      "data_source_id": 123,
      "data_source_type": "<string>",
      "item_type": "<string>",
      "name": "<string>",
      "path": [
        "<string>"
      ],
      "uid": "<string>",
      "popularity": 123,
      "primary_key": "<string>",
      "query_type": "<string>",
      "raw_sql": "<string>",
      "remote_id": "<string>",
      "table_name": "<string>"
    }
  ],
  "materialized_results": {
    "diff": [
      {
        "data_source_id": 123,
        "is_sampled": true,
        "path": [
          "<string>"
        ]
      }
    ],
    "duplicates1": [
      {
        "data_source_id": 123,
        "is_sampled": true,
        "path": [
          "<string>"
        ]
      }
    ],
    "duplicates2": [
      {
        "data_source_id": 123,
        "is_sampled": true,
        "path": [
          "<string>"
        ]
      }
    ],
    "exclusives": [
      {
        "data_source_id": 123,
        "is_sampled": true,
        "path": [
          "<string>"
        ]
      }
    ]
  },
  "pks": {
    "distincts": [
      123,
      123
    ],
    "dupes": [
      123,
      123
    ],
    "exclusives": [
      123,
      123
    ],
    "nulls": [
      123,
      123
    ],
    "total_rows": [
      123,
      123
    ]
  },
  "schema": {
    "column_counts": [
      123,
      123
    ],
    "column_reorders": 123,
    "column_type_differs": [
      "<string>"
    ],
    "column_type_mismatches": 123,
    "columns_mismatched": [
      123,
      123
    ],
    "exclusive_columns": [
      [
        "<string>"
      ]
    ]
  },
  "status": "done",
  "exclusives_profile": {
    "t1": {
      "columns": {}
    },
    "t2": {
      "columns": {}
    }
  },
  "values": {
    "columns_diff_stats": [
      {
        "column_name": "<string>",
        "match": 123,
        "values_different": 123,
        "values_different_estimate": {
          "confidence": 123,
          "estimate": 123,
          "interval": {
            "max": 123,
            "min": 123
          },
          "value": 123
        }
      }
    ],
    "columns_with_differences": 123,
    "compared_columns": 123,
    "rows_with_differences": 123,
    "total_rows": 123,
    "total_values": 123,
    "values_with_differences": 123
  }
}

Authorizations

Authorization
string
header
required

Use the 'Authorization' header with the format 'Key '

Path Parameters

datadiff_id
integer
required

Response

Successful Response

dependencies
ApiCIDependency · object[]
required
materialized_results
ApiMaterializedResults · object
required

Results of the diff, materialized into tables.

pks
ApiDataDiffSummaryPKs · object
required
schema
ApiDataDiffSummarySchema · object
required
status
enum<string>
required
Available options:
done,
success
exclusives_profile
ApiExclusiveRowsProfile · object

Distribution statistics for exclusive rows (rows that exist in one table but not the other). Includes histograms and enum distributions for primary key columns. Only available for diffs computed after October 2025.

values
ApiDataDiffSummaryValues · object